Page MenuHomePhabricator

GlobalRename fails when Antispoof is not enabled
Closed, ResolvedPublic

Description

Currently when a global rename is attempted while AntiSpoof is not enabled, a fatal error occurs. It should either show a message like it currently does for RenameUser or it should work without AntiSpoof's functionality.

Event Timeline

Glaisher created this task.May 2 2015, 4:20 PM
Glaisher raised the priority of this task from to Low.
Glaisher updated the task description. (Show Details)
Glaisher added a project: GlobalRename.
Glaisher added a subscriber: Glaisher.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 211148 had a related patch set uploaded (by Legoktm):
GlobalRename: Don't fatal if AntiSpoof isn't enabled

https://gerrit.wikimedia.org/r/211148

Legoktm claimed this task.May 15 2015, 7:03 PM

Change 211148 merged by jenkins-bot:
GlobalRename: Don't fatal if AntiSpoof isn't enabled

https://gerrit.wikimedia.org/r/211148

@Legoktm: Change merged; anything left to do here?

Legoktm closed this task as Resolved.May 20 2015, 3:43 PM

Nope! :)

Keegan moved this task from Backlog to Closed on the GlobalRename board.Jun 7 2015, 1:46 AM